# Fabulaser Mini Workshops 2021 @ Fab City Hamburg

This section of the starter kit is dedicated to the Fabulaser Mini workshops that will take place for Fab City Hamburg in November 2021.

 <img src="https://gitlab.fabcity.hamburg/hardware/open-lab-starter-kit/-/raw/master/docs/workshops/pictures/workshop1_fabulaser_kit.jpg?inline=false" width="600" />

## Description and goals

The Fabulaser Mini workshop is intended as learning experience for the participants to learn about open source machine building and relative knowledge.

Specifically, during the workshop participants will build ,together with experienced tutors, a laser cutter machine from a kit of parts.

The building of the laser cutter, among others, will let the participants understand:

- the basic design choices of the machine
- what is laser cutting technology
- how a laser cutter is made
- how a laser cutter works
- how to perform laser cutter maintenance and calibration
- how to operate a laser cutter
- how to troubleshoot laser cutter problems
- the basic design techniques for laser cutting

The goal of the workshop is both to build 2 working laser cutter machines, and to train the participants while doing so.

![](pictures/workshop1_fabulaser_wip.jpg)

## Location

The workshops will be held at the following address:

```
Helmut Schmidt Universität
Holstenhofweg 85
22043 Hamburg
```

And in the following rooms:

- 6th, 7th and 8th of November 2021 at:
  - area: HSU Main Campus
  - room: "Aula"
  - room location: [https://goo.gl/maps/xX6yTnBmhwz3Xobt8](https://goo.gl/maps/xX6yTnBmhwz3Xobt8)

<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2369.3489393075106!2d10.1062373!3d53.5693888!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47b18c76215cb6e1%3A0x5a9e78fa8e4ae5bf!2sAula%2C%20Holstenhofweg%2085%2C%2022043%20Hamburg!5e0!3m2!1sen!2sde!4v1635004356191!5m2!1sen!2sde" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
<br><br>

- 9th and 10th of November 2021 at:
- area: Building of Deutsche Rentenversicherung
- room: 1E30
- room location: [https://goo.gl/maps/tqbeSZuhEWAnfcxj7](https://goo.gl/maps/tqbeSZuhEWAnfcxj7)

<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1184.038127590926!2d10.1064948!3d53.592101!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47b18bbfe64613f9%3A0x71289be371e1b539!2sGerman%20pension%20insurance%20North!5e0!3m2!1sen!2sde!4v1635004405565!5m2!1sen!2sde" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>

## Access requirements

The access to the workshop should be reserved for members of Fab City Hamburg initiative, its partners and projects.

**To register for the workshop please fill in the following form:**

- [https://forms.gle/YEkYQW26ejCWSSFi6](https://forms.gle/YEkYQW26ejCWSSFi6)

To access the workshop locations, it is mandatory to register you name at the Helmut Schmidt Universität. To do so please forward your names to:

- Piet Jarmatz from HSU, @piet:fabcity.hamburg

It is mandatory to show an ID card (eg passport) to the entrance of Helmut Schmidt Universität.

Contact info of local HSU team:

- [https://www.hsu-hh.de/hpc/team/](https://www.hsu-hh.de/hpc/team/)

## Dates, schedule and agenda

The workshop will be held in the following dates and times:

- from the 6th till the 10th of November 2021.
- every day from 9:00 till 16:30 except on the 10th from 9:00 till 12:30
- lunch break is every day from 12:00 till 13:00

Following is the workshop agenda with approx times:

- Saturday 06.11.21:
  - (9:00-9:30 - Room setup, only organizers)
  - 9:30-9:40 - Gathering time
  - 9:40-9:50 - Personal Introduction
  - 9:50-10:00 - [Introduction about laser cutting](presentations/Introduction_to_laser_cutting.pdf)
  - 10:00-10:10 - [Workshop presentation](presentations/Fabulaser_Workshop_Presentation.pdf)
  - 10:10-10:15 - Q&A
  - 10:15-10:20 - Daily group division
  - 10:20-10:30 - Machine parts and tools organization
  - 10:30-12:00 - Hands-on assembly work
  - 12:00-13:00 - Lunch break
  - 13:00-16:50 - Hands-on assembly work
  - 16:50-17:00 - Feedback session<br><br>


- Sunday 07.11.21:

  - (9:20-9:30 - Room setup, only organizers)
  - 9:30-9:40 - Gathering time
  - 9:40-9:50 - [Introduction about CO2 laserable materials](presentations/Introduction_to_CO2_Laserable_Materials.pdf)
  - 9:20-9:25 - Machine parts and tools organization
  - 9:25-9:30 - Daily group division
  - 9:30-12:00 - Hands-on assembly work
  - 12:00-13:00 - Lunch break
  - 13:00-16:50 - Hands-on assembly work
  - 16:50-17:00 - Feedback session<br><br>



- Monday 08.11.21:

  - (9:20-9:30 - Room setup, only organizers)
  - 9:30-9:40 - Gathering time
  - 9:40-9:50 - Introduction about laser cutting techniques
  - 9:50-9:55 - Machine parts and tools organization
  - 9:55-10:00 - Daily group division
  - 10:00-12:00 - Hands-on assembly work
  - 12:00-13:00 - Lunch break
  - 13:00-16:20 - Hands-on assembly work
  - 16:50-17:00 - Feedback session
  - (17:00-???) - Transfer to the new room)<br><br>

- Tuesday 09.11.21

  - (9:20-9:30 - Room setup, only organizers)
  - 9:30-9:40 - Gathering time
  - 9:40-9:50 - Introduction about Fabulaser laser safety
  - 9:50-9:55 - Machine parts and tools organization
  - 9:55-10:00 - Daily group division
  - 10:00-12:00 - Hands-on calibration and testing work
  - 12:00-13:00 - Lunch break
  - 13:00-16:50 - Hands-on calibration and testing work
  - 16:50-17:00 - Feedback session<br><br>

- Wednesday 10.11.21

  - (9:20-9:30 - Room setup, only organizers)
  - 9:30-9:40 - Gathering time
  - 9:40-10:30 - Final Hands-on calibration and testing work
  - 10:30-12:30 - How to use and maintain Fabulaser Mini
  - 12:30-13:00 - Final questions, feedback and cleaning up <br><br>

  Workshop tutors:

  - Daniele Ingrassia
  - Marc Kohlen
  - Liane Honda

## Tools and consumables

The following tools will be used:

- Screwdriver sets (cross, flat, small, big..)
- Hex key sets, long type, wit rounded end
- Hex key sets, short type, with rounded end
- Hex key set, traditional
- Spanner key sets (from 8 till 21mm)
- Adjustable spanner key
- Pliers sets
- Electronics cutter (optional)
- Box cutter
- Wooden rulers
- Wire strippers (optional)
- Calipers
- Engineering brackets (optional)
- Clamps (optional)
- Hot glue gun
- Soldering station (optional)
- electric drill/screwdriver (optional)

The following consumables will be needed:

- 20 liters distilled water
- 3 x paper tapes (masking tape)
- Hot glue sticks
- Super glue
- cable ties (included in kit)
- teflon tape (included in kit)
- electrical insulation tape (optional)
- test material (light plywood, acrylic ...)
- paper towels

Required protective equipment:

- electrical insulated gloves (4 pairs)
- goggles (for all participants)
- corona approved masks
- powder fire existinguisher


## Files

If you would like to test the machine, please download and install the following software and settings. The machine is compatible with Windows 10, Mac and Linux systems.

| Software/File        | Download Link           | For what?  |
| ------------- |:-------------:| -----:|
| UGS Platform      | [link](https://winder.github.io/ugs_website/download/) | Launch laser jobs and operate the laser |
| Visicut      | [link](https://download.visicut.org/)      |   Used to prepare laser jobs |
| Settings | [link](https://github.com/fab-machines/Fabulaser-Mini/tree/main/settings)      |    Setting file to install Fabulaser Mini in Visicut and machine general settings |
| Fabulaser manual, CAD and other files | [link](https://github.com/fab-machines/Fabulaser-Mini)      |    Download the assembly manual and the CAD data if needed |

## Report

#### Day 1

The first day of the workshop went through the planned schedule.
In the morning the timing was pretty good, but a very long lunch break (because the absence of a close place where to eat).

Given the large size of the room, more than 100m2, we had quite lot of space to separate the 2 machine kits, tools and groups of people.

The organization was as follows:

- 2 machines kits were available, kit3 and kit4
- given the 10 participants we decided to build 2 machines simultaneously
- the two groups were split in two separated room areas to avoid mixing of parts and of tools (food was in between)
- to each group the following was given:
  - a dedicated set of tools
  - a complete kit of machine parts (except chiller, radial fan and air filter)
- the 2 groups were divided in 2 subgroups, to allow parallel building of different machine parts

Building time was at normal speed in comparison to kids.
The groups spent more time carefully aligning the frame parts together.

We ended at the following stage:

- assembled and attached Y axis
- assembled bed
- assembled X axis
- assembled and wired AC and most of the logic electronics
- assembled main frame with Y axis installed

During the day we had the following issues:

- we found some manual lacks of labels or information
- the separator panel was milled with wrong size (because of a shift of the piece during milling)
 - solution: to cut of the additional size from the top with a cutting knife and to enlarge the holes
- one of the pulleys of the kit 3 is wobbling
- we did not had a multimeter
- we did not had all the spanner keys
- we did not had good socket keys
- M3 8mm capscrews were missing

#### Day 2

The 2nd day of the workshop required much less setup initially, letting the participants start at about 9:50AM.
The guys brought some multimeters and tools themselves.

There were no major issues only the following:

- missing fasteners:
  - some washers M5
  - M3 12mm
- some pages of the manual miss labels or they use the wrong icon size

Important notes:

- locktite can be given in the kit, as it is going to be useful for the tightening of all the set screws (from Florian)
- belt tensioning by pulling the Y shafts is working great
- it would be better to use precise shims (from Mo)
- the laser power supply misses a reliable datasheet
- the laser minus seems to be connected to Earth

Overall the teams gained much speed in comparison to workshops for kids, achieving a very good status of being almost ready for the calibration.

Those the assembled parts and tested subsystems:

- Y axis belts
- X axis belt
- Y and X motors
- side panels
- window
- sensors and endstop
- water system
- backpanel
- front panel
- housing T-Nut

#### Day 3

We started the day 3 thinking we would be able to immediately start the calibration.
But in reality, the laser tube and the mirror installation is one of the last operations, requiring a lot of different checks beforehand.

We spent good part of the morning (till 12:00 circa), testing all the relative subsystems:

- AC connections
- fuse and emergency button
- DC connections
- logic connections
- stepper drivers
- stepper motors
- window sensors
- water system and chiller (the water flow sensor is always leaking)
- radial fan
- air assist compressor
- filter

Then, just after lunchtime, we did start the calibration process.

The machine belonging to Hofalab had a straightforward calibration process, because the frame was built carefully, spending a lot of time in aligning things. At the end of the Hofalab machine had almost perfect calibration in all the 4 corners. We anyway decided not to cut to be fair to the other group and also because we needed to end the day earlier for moving the machines to the room in campus nord.

The machine from Regenholz had a slightly more troublesome calibration, with some confusion about how to move the mirrors and the tube to center the laser beam to the laser head. The laser tube was moved to an extreme position, not allowing anymore any further calibration. The local team and my team did not know that the 2nd mirror can be moved horizontally in 2 dimensions, thinking there was something else wrong in the machine. After letting them know the problem was solved, and by the end of the day the managed to have an almost centered laser beam into the laser head.

The day ended with huge efforts to move from one room to another, with issues about parking, traffic, and heavy and late transportation to the new room. In general, we should always avoid any moving durign such workshops, especially to avoid losing the laser calibration because of it.

#### Day 4

The day started with checking again the calibration from the moving of yesterday. Both machine kept most of the calibration done, allowing to quickly start to test the machine motion and the firmware settings. The machine from Regenholz completed the calibration successfully during the morning, while the machine from Hofalab had the first successful cut.

I had to go with Lennart to visit the Fab City House location, and left the workshop to my team mates, that used this time to show how to use the machine to the people. Just before leaving also the machine from Regenholz was able to cut successfully the first pieces.

The day concluded with both machines being used to produce some predefined demos (eg logo), and with some quickly made designs, like the Fab City Hamburg logo.

We went all together to dinner after the workshop.

#### Day 5

During this day we sorted out the last questions and workflows on how to use the machines. Both machines were running fine and many new designs have been cut with it. The workshop participants acquired much more knowledge about how to use the machines.



### Final results

The final results were 2 fully working Fabulaser Mini machines.

The machines were working already 1 day before the end of the workshop, leaving the participants time to learn how to use the machine.

Overall it was a great success without severe issues, but only some minor mistakes in production and in the manual.

![](pictures/results/workshop_all.jpg)

![](pictures/results/res1.jpeg)
![](pictures/results/res2.jpeg)
![](pictures/results/res3.jpeg)
![](pictures/results/resall.jpeg)

### Thanks

- Helmut Schmidt Universität
- Fab City Hamburg Association
- Regenholz
- HoFaLab
- Piet Jarmatz from HSU

### License

All the content on this page is released under the following license:

- [Attribution-ShareAlike 4.0 International](https://creativecommons.org/licenses/by-sa/4.0/)
